#!/bin/ksh
set -a

#-------- Recup param
while [ $# -gt 0 ]
do
 eval $( echo "$1" | sed "s/,//;s/ //g" )
shift
done

#------- recup nombre par selection pour nombre total incidents
test ! -z "${Count}" && grep -ic "${Select}" ${FicName} && exit

if test ! -z "${debug}"
then
	echo "<pre>"
	echo ${Select}
	echo "</pre>"
fi

if test ! -z "${Select}"
then
   FicTemp=/tmp/Select_$$.txt
   head -n +1 ${FicName} > ${FicTemp}
   grep -i "${Select}" ${FicName} >> ${FicTemp}
   FicName=${FicTemp}

   test $( awk 'END {print NR }' ${FicName} ) -gt 1 && ${Home}/create_tableau_html.ksh ${FicName} ${Tri}

   test -f "${FicTemp}" && rm ${FicTemp}
fi
