#!/bin/ksh
set -a
echo '<option selected ></option>'
FicHome=$(dirname ${1})

for fic in $(ls -1 ${FicHome}/Incidents*.csv)
do
anneef=$(echo $fic | cut -d'_' -f2 | cut -d'.' -f1)
tail -n +1 $fic | awk -F";" 'BEGIN {anneef=ENVIRON["anneef"]} { if ( $3 != "" ) printf("<option value=\"%s_%i\">%s\&nbsp;\&nbsp;\&nbsp;#\&nbsp;\&nbsp;\&nbsp;%s </option>\n",anneef,NR,toupper($3),substr($4,1,40)) }'
done | sort -t'>' -u +1
